/*
 * ComapnyBO.java
 */
package com.example.model;

import java.io.Serializable;
//import javax.persistence.Entity;
//import javax.persistence.Table;
//import javax.persistence.Id;
//import javax.persistence.GeneratorType;
//import javax.persistence.Column;

/**
 * domain model of company.
 */
//@Entity
//@Table(name="TBL_COMPANY")
public class CompanyBO implements Serializable {
   
    /**
     * Default constructor.
     */
    public CompanyBO() {
    }
    
    /**
     * Constructor.
     * @param id New value of property id.
     * @param name New value of property name.
     */
    public CompanyBO(int id, String name) {
        this.id = id;
        this.name = name;
    }
    
    /**
     * Holds value of property id.
     */
    private int id;

    /**
     * Getter for property id.
     * @return Value of property id.
     */
//    @Id(generate=GeneratorType.SEQUENCE, generator="ID_TBL_COMPANY")
    public int getId() {

        return this.id;
    }

    /**
     * Setter for property id.
     * @param id New value of property id.
     */
    public void setId(int id) {

        this.id = id;
    }

    /**
     * Holds value of property name.
     */
    private String name;

    /**
     * Getter for property name.
     * @return Value of property name.
     */
    public String getName() {

        return this.name;
    }

    /**
     * Setter for property name.
     * @param name New value of property name.
     */
//    @Column(name="NAME", nullable=false, length=50)
    public void setName(String name) {

        this.name = name;
    }

    /**
     * Convert this object to String.
     * @return string representation of this object.
     */
    public String toString() {
        return "{id=" + id + ", name=" + name + "}";
    }
}
