<?xml version="1.0" encoding="UTF-8"?>
<html xmlns:f="http://java.sun.com/jsf/core" 
      xmlns:h="http://java.sun.com/jsf/html" 
      xmlns:jsp="http://java.sun.com/JSP/Page">
  <jsp:directive.page contentType="text/html;charset=UTF-8" 
                      pageEncoding="UTF-8"/>
  <f:view>
    <head>
      <title>Customer Details</title>
    </head>
    <body>
      <h:outputText style="font-size: 24px" value="顧客情報詳細"/>
      <h:outputText value="（ユーザ: #{facesContext.externalContext.userPrincipal.name}）"/>
      <table>
        <tr bgcolor="#aaeecc">
          <td align="left" rowspan="3" valign="top">
            <h:outputText value="顧客"/>
          </td>
          <td align="right">
            <h:outputText value="コード"/>
          </td>
          <td align="left">
            <h:outputText value="#{detailsBean.customer.id}"/>
          </td>
        </tr>
        <tr bgcolor="#aaeecc">
          <td align="right">
            <h:outputText value="氏名"/>
          </td>
          <td align="left">
            <h:outputText value="#{detailsBean.customer.name.last}"/>
            <h:outputText value="#{detailsBean.customer.name.first}"/>
          </td>
        </tr>
        <tr bgcolor="#aaeecc">
          <td align="left">
            <h:outputText value="メールアドレス"/>
          </td>
          <td align="left">
            <h:outputText value="#{detailsBean.customer.email}"/>
          </td>
        </tr>
        <tr bgcolor="#eeaacc">
          <td align="left" rowspan="2" valign="top">
            <h:outputText value="会社"/>
          </td>
          <td align="right">
            <h:outputText value="コード"/>
          </td>
          <td align="left">
            <h:outputText value="#{detailsBean.customer.company.id}"/>
          </td>
        </tr>
        <tr bgcolor="#eeaacc">
          <td align="right">
            <h:outputText value="会社名"/>
          </td>
          <td>
            <h:outputText value="#{detailsBean.customer.company.name}"/>
          </td>
        </tr>
      </table>
      <h:form>
        <h:commandButton action="back" immediate="true"
                        value="戻る"/>
      </h:form>
    </body>
  </f:view>
</html>